package com.sf.web.dms.statistics.bean;

package ..deTemp.1731159937489;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.sf.web.dms.statistics.service.CustomizeService;
import com.smartframework.web.core.bean.ISmartParaVO;
import com.smartframework.web.core.queryfilter.QueryFilter;
import com.smartframework.web.core.util.ParameterUtils;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@JsonIgnoreProperties(ignoreUnknown = true)
public class RtuOnlineParaVO extends ISmartParaVO {
  private String description;
  
  private Long id;
  
  private Integer forceThreeDays;
  
  private Long divisionId;
  
  private Long stationId;
  
  private Long feederId;
  
  private List<Integer> type;
  
  private List<Integer> commType;
  
  private List<Integer> manuFac;
  
  private List<Integer> isTransmit;
  
  private List<Integer> isEncrypt;
  
  private Date[] timeRange;
  
  private Integer lostSum;
  
  private Integer offlineTime;
  
  private Integer currentStatus;
  
  private Integer sysid;
  
  private Integer onlineRate;
  
  private String remoteIp;
  
  private Integer orgId;
  
  private Integer level;
  
  public String getDescription() {
    return this.description;
  }
  
  public void setDescription(String description) {
    this.description = description;
  }
  
  public Integer getOrgId() {
    return this.orgId;
  }
  
  public void setOrgId(Integer orgId) {
    this.orgId = orgId;
  }
  
  public Integer getForceThreeDays() {
    return this.forceThreeDays;
  }
  
  public void setForceThreeDays(Integer forceThreeDays) {
    this.forceThreeDays = forceThreeDays;
  }
  
  public String getRemoteIp() {
    return this.remoteIp;
  }
  
  public void setRemoteIp(String remoteIp) {
    this.remoteIp = remoteIp;
  }
  
  public Integer getLevel() {
    return this.level;
  }
  
  public void setLevel(Integer level) {
    this.level = level;
  }
  
  public Long getId() {
    return this.id;
  }
  
  public void setId(Long id) {
    this.id = id;
  }
  
  public Long getDivisionId() {
    return this.divisionId;
  }
  
  public void setDivisionId(Long divisionId) {
    this.divisionId = divisionId;
  }
  
  public Long getStationId() {
    return this.stationId;
  }
  
  public void setStationId(Long stationId) {
    this.stationId = stationId;
  }
  
  public Long getFeederId() {
    return this.feederId;
  }
  
  public void setFeederId(Long feederId) {
    this.feederId = feederId;
  }
  
  public List<Integer> getCommType() {
    return this.commType;
  }
  
  public List<Integer> getIsEncrypt() {
    return this.isEncrypt;
  }
  
  public void setIsEncrypt(List<Integer> isEncrypt) {
    this.isEncrypt = isEncrypt;
  }
  
  public void setCommType(Object commType) {
    this.commType = new ArrayList<>();
    commonSetMultiPara(this.commType, commType);
  }
  
  public List<Integer> getType() {
    return this.type;
  }
  
  public void setType(Object type) {
    this.type = new ArrayList<>();
    commonSetMultiPara(this.type, type);
  }
  
  public List<Integer> getManuFac() {
    return this.manuFac;
  }
  
  public void setManuFac(Object manuFac) {
    this.manuFac = new ArrayList<>();
    commonSetMultiPara(this.manuFac, manuFac);
  }
  
  public List<Integer> getIsTransmit() {
    return this.isTransmit;
  }
  
  public void setIsTransmit(List<Integer> isTransmit) {
    this.isTransmit = new ArrayList<>();
    commonSetMultiPara(this.isTransmit, isTransmit);
  }
  
  private void commonSetMultiPara(List<Integer> myMember, Object myObj) {
    if (myObj == null) {
      myMember = null;
      return;
    } 
    if (myObj instanceof String) {
      if (!((String)myObj).equals("")) {
        List<String> myString = toStringList((String)myObj);
        for (int i = 0; i < myString.size(); i++)
          myMember.add(Integer.valueOf(Integer.parseInt(myString.get(i)))); 
      } 
    } else if (myObj instanceof ArrayList) {
      ArrayList<E> tr = (ArrayList)myObj;
      for (int i = 0; i < tr.size(); i++)
        myMember.add(Integer.valueOf(Integer.parseInt(tr.get(i).toString()))); 
    } else {
      myMember = null;
    } 
  }
  
  public Date[] getTimeRange() {
    return this.timeRange;
  }
  
  public void setTimeRange(Object timeRange) {
    if (timeRange == null) {
      this.timeRange = null;
      return;
    } 
    if (timeRange instanceof String) {
      List<String> timeStringList = toStringList((String)timeRange);
      if (timeStringList.size() != 2) {
        this.timeRange = null;
      } else {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        try {
          this.timeRange = new Date[2];
          this.timeRange[0] = sdf.parse(((String)timeStringList.get(0)).replace("\"", ""));
          this.timeRange[1] = sdf.parse(((String)timeStringList.get(1)).replace("\"", ""));
        } catch (ParseException e) {
          e.printStackTrace();
        } 
      } 
    } else if (timeRange instanceof ArrayList) {
      ArrayList<String> tr = (ArrayList)timeRange;
      if (tr.size() != 2) {
        this.timeRange = null;
      } else {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        try {
          this.timeRange = new Date[2];
          this.timeRange[0] = sdf.parse(tr.get(0));
          this.timeRange[1] = sdf.parse(tr.get(1));
        } catch (ParseException e) {
          e.printStackTrace();
        } 
      } 
    } else {
      this.timeRange = null;
    } 
  }
  
  public Integer getLostSum() {
    return this.lostSum;
  }
  
  public void setLostSum(Integer lostSum) {
    this.lostSum = lostSum;
  }
  
  public Integer getOfflineTime() {
    return this.offlineTime;
  }
  
  public void setOfflineTime(Integer offlineTime) {
    this.offlineTime = offlineTime;
  }
  
  public Integer getCurrentStatus() {
    return this.currentStatus;
  }
  
  public void setCurrentStatus(Integer currentStatus) {
    this.currentStatus = currentStatus;
  }
  
  public Integer getSysid() {
    return this.sysid;
  }
  
  public void setSysid(Integer sysid) {
    this.sysid = sysid;
  }
  
  public Integer getOnlineRate() {
    return this.onlineRate;
  }
  
  public void setOnlineRate(Integer onlineRate) {
    this.onlineRate = onlineRate;
  }
  
  public QueryFilter getQueryFilter(String schema, String tableAlias) throws Exception {
    QueryFilter queryFilter = new QueryFilter();
    queryFilter.setPageInfo(this.pageSize, this.pageIndex);
    return queryFilter;
  }
  
  public QueryFilter getQueryFilter0(String schema, String tableAlias) throws Exception {
    validate();
    QueryFilter queryFilter = new QueryFilter();
    if (!ParameterUtils.isEmptyOrNull(this.id))
      queryFilter.addNumberFieldEqualCondition("e.id", this.id); 
    if (!ParameterUtils.isEmptyOrNull(this.stationId))
      queryFilter.addNumberFieldEqualCondition("get_station_id(e.container_id,e.container_tablename)", this.stationId); 
    if (!ParameterUtils.isEmptyOrNull(this.feederId))
      queryFilter.addNumberFieldEqualCondition("get_feeder_id(e.container_id,e.container_tablename)", this.feederId); 
    if (!ParameterUtils.isEmptyOrNull(this.description))
      queryFilter.addStringFieldLikeCondition("e.description", getDescription()); 
    if (!ParameterUtils.isEmptyOrNull(this.type))
      queryFilter.addNumberFieldInCondition("e.type", this.type); 
    if (!ParameterUtils.isEmptyOrNull(this.commType))
      queryFilter.addNumberFieldInCondition("e.comm_type", this.commType); 
    if (!ParameterUtils.isEmptyOrNull(this.manuFac))
      queryFilter.addNumberFieldInCondition("e.manu_fac", this.manuFac); 
    if (!ParameterUtils.isEmptyOrNull(this.sysid))
      queryFilter.addNumberFieldEqualCondition("e.sysid", this.sysid); 
    if (!ParameterUtils.isEmptyOrNull(this.isTransmit))
      queryFilter.addNumberFieldInCondition("e.is_transmit", this.isTransmit); 
    if (!ParameterUtils.isEmptyOrNull(this.isEncrypt))
      queryFilter.addNumberFieldInCondition("fes_group.type", this.isEncrypt); 
    if (!ParameterUtils.isEmptyOrNull(this.remoteIp))
      queryFilter.addStringFieldEqualCondition("fes_chan_extend.remote_ip", this.remoteIp); 
    queryFilter.setPageInfo(this.pageSize, this.pageIndex);
    return queryFilter;
  }
  
  public QueryFilter getQueryFilter1(String schema, String tableAlias) throws Exception {
    validate();
    QueryFilter queryFilter = new QueryFilter();
    if (!ParameterUtils.isEmptyOrNull(this.stationId))
      queryFilter.addNumberFieldEqualCondition("e.station_id", this.stationId); 
    if (!ParameterUtils.isEmptyOrNull(this.feederId))
      queryFilter.addNumberFieldEqualCondition("e.feeder_id", this.feederId); 
    if (!ParameterUtils.isEmptyOrNull(this.timeRange)) {
      queryFilter.addDateFieldBetweenCondition("e.time", this.timeRange[0], this.timeRange[1]);
    } else {
      Date[] defaultTimeRange = CustomizeService.queryDeafultTimeRange();
      queryFilter.addDateFieldBetweenCondition("e.time", defaultTimeRange[0], defaultTimeRange[1]);
    } 
    if (!ParameterUtils.isEmptyOrNull(this.type))
      queryFilter.addNumberFieldInCondition("e.type", this.type); 
    if (!ParameterUtils.isEmptyOrNull(this.commType))
      queryFilter.addNumberFieldInCondition("e.comm_type", this.commType); 
    if (!ParameterUtils.isEmptyOrNull(this.manuFac))
      queryFilter.addNumberFieldInCondition("e.manu_fac", this.manuFac); 
    if (!ParameterUtils.isEmptyOrNull(this.sysid))
      queryFilter.addNumberFieldEqualCondition("e.sysid", this.sysid); 
    if (!ParameterUtils.isEmptyOrNull(this.isTransmit))
      queryFilter.addNumberFieldInCondition("e.is_transmit", this.isTransmit); 
    queryFilter.setPageInfo(this.pageSize, this.pageIndex);
    return queryFilter;
  }
  
  public QueryFilter getQueryFilter2(String schema, String tableAlias) throws Exception {
    validate();
    QueryFilter queryFilter = new QueryFilter();
    if (!ParameterUtils.isEmptyOrNull(this.lostSum))
      queryFilter.addNumberFieldGreaterEqualCondition("lost_sum", this.lostSum); 
    if (!ParameterUtils.isEmptyOrNull(this.offlineTime))
      queryFilter.addNumberFieldGreaterEqualCondition("offline_hour", this.offlineTime); 
    if (!ParameterUtils.isEmptyOrNull(this.onlineRate))
      queryFilter.addNumberFieldLessThanCondition("online_rate", this.onlineRate); 
    queryFilter.setPageInfo(this.pageSize, this.pageIndex);
    return queryFilter;
  }
  
  public void validate() throws Exception {}
}
